Table of Contents

## Name

Xmark - summarize x11perf results

## Syntax

Xmark datafile

## Description

Xmark is a shell script that reads the indicated datafile and compiles a benchmark which it writes to standard output. It writes three numbers:

A weighted performance number for the x11perf results.

A weighted performance number for a standard SparcStation 1, with SunOS 4.1.2, X11R5 Xsun, and a CG3 dumb Color Frame Buffer.

The Xmark, which is the ratio of the two numbers above.

The datafile must be an ordinary file, produced by x11perf in the following way:

x11perf -display display -v1.3 -rop GXcopy GXxor -all > datafile

It is possible to run the GXcopy and GXxor tests separately, as long as they are concatenated to the same output file:

x11perf -display display -v1.3 -rop GXcopy -all > datafile
x11perf -display display -v1.3 -rop GXxor -all >> datafile

or

x11perf -display display -v1.3 -rop GXxor -all > datafile
x11perf -display display -v1.3 -rop GXcopy -all >> datafile

## Files

temp.$$
  Temporary file created in the current directory, deleted after use.

## Diagnostics

Usage: Xmark datafile
  Xmark was invoked without arguments or with more than one argument, or with options. Xmark takes no options.
Error: data file does not exist or is not ordinary.
  Xmark cannot find the datafile named on its command line, or the datafile is a special file such as a directory.
WARNING: datafile contains nnn, not 441 or 447 'trep' results;
  The file named on the command line does not seem to be a file generated by x11perf in the expected way.
Diagnostic: ERROR: sum of weights =nnn, not equal to 4566.0;
  There is an internal error in Xmark.

## See Also

X(7) , x11perf(1) , x11perfcomp(1)

Table of Contents

- Name
- Syntax
- Description
- Files
- Diagnostics
- See Also